from flask import Flask
from minio import Minio
import os
app = Flask(__name__)
 
@app.route('/')
def hello_docker():
    return 'Hello, I run in a docker container'

@app.route('/acces_minio')
def access_minio():
    minioClient = Minio('minio:9000', access_key=os.environ['s3-name'], secret_key=os.environ['s3-password'], secure=False)
    
    for bucket in minioClient.list_buckets():
    	print(bucket.name, bucket.creation_date, flush=True)
    return('Connection Succesfull')
 
if __name__ == '__main__':
    app.run(host='0.0.0.0')